moeoParetoObjectiveVectorComparator(3)

NAME
moeoParetoObjectiveVectorComparator - This functor class allows to compare 2 objective vectors according to Pareto dominance.

SYNOPSIS

#include <moeoParetoObjectiveVectorComparator.h>

Inherits moeoObjectiveVectorComparator< ObjectiveVector >< ObjectiveVector >.

  Public Member Functions
const bool operator() (const ObjectiveVector &_objectiveVector1, const ObjectiveVector &_objectiveVector2)
Returns true if _objectiveVector1 is dominated by _objectiveVector2.

Detailed Description

  template<class ObjectiveVector> class moeoParetoObjectiveVectorComparator< ObjectiveVector >
This functor class allows to compare 2 objective vectors according to Pareto dominance.

Definition at line 22 of file moeoParetoObjectiveVectorComparator.h.

Member Function Documentation

  template<class ObjectiveVector> const bool moeoParetoObjectiveVectorComparator< ObjectiveVector >::operator() (const ObjectiveVector & _objectiveVector1, const ObjectiveVector & _objectiveVector2) [inline]

Returns true if _objectiveVector1 is dominated by _objectiveVector2.

Parameters:
    _objectiveVector1 the first objective vector
    _objectiveVector2 the second objective vector

Definition at line 31 of file moeoParetoObjectiveVectorComparator.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.